From e9bd632dfb23b26b26f32e861af85beed6bcac08 Mon Sep 17 00:00:00 2001
From: Thomas Batten <stenstorpmc@gmail.com>
Date: Fri, 31 May 2019 12:16:12 +0930
Subject: [PATCH] qt5-webkit: Fix building on ppc

---
 srcpkgs/qt5-webkit/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/qt5-webkit/template b/srcpkgs/qt5-webkit/template
index 3c570cf4b27..b2e996f30d8 100644
--- a/srcpkgs/qt5-webkit/template
+++ b/srcpkgs/qt5-webkit/template
@@ -34,9 +34,14 @@ case "$XBPS_TARGET_MACHINE" in
 	ppc64*)	# no JIT on ppc64 and other build workarounds
 		configure_args+=" -DENABLE_JIT=OFF -DUSE_SYSTEM_MALLOC=ON"
 		;;
-	i686*) 	# try to reduce memory footprint when linking
+	i686*)  # try to reduce memory footprint when linking
 		nodebug=1
 		;;
+	ppc*)   # no JIT on ppc and need libatomic
+                configure_args+=" -DENABLE_JIT=OFF -DUSE_SYSTEM_MALLOC=ON"
+                makedepends+=" libatomic-devel"
+                LIBS+=" -latomic"
+                ;;
 esac
 
 pre_configure() {
